zenilib: zenilib/jni/external/openal-soft/OpenAL32/alListener.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
alListener.c File Reference
`#include "config.h"`
`#include "alMain.h"`
`#include "AL/alc.h"`
`#include "alError.h"`
`#include "alListener.h"`
`#include "alSource.h"`

Go to the source code of this file.

## Functions

AL_API ALvoid AL_APIENTRY | alGetListener3f (ALenum param, ALfloat *value1, ALfloat *value2, ALfloat *value3)
AL_API void AL_APIENTRY | alGetListener3i (ALenum param, ALint *value1, ALint *value2, ALint *value3)
AL_API ALvoid AL_APIENTRY | alGetListenerf (ALenum param, ALfloat *value)
AL_API ALvoid AL_APIENTRY | alGetListenerfv (ALenum param, ALfloat *values)
AL_API ALvoid AL_APIENTRY | alGetListeneri (ALenum param, ALint *value)
AL_API void AL_APIENTRY | alGetListeneriv (ALenum param, ALint *values)
AL_API ALvoid AL_APIENTRY | alListener3f (ALenum param, ALfloat value1, ALfloat value2, ALfloat value3)
AL_API void AL_APIENTRY | alListener3i (ALenum param, ALint value1, ALint value2, ALint value3)
AL_API ALvoid AL_APIENTRY | alListenerf (ALenum param, ALfloat value)
AL_API ALvoid AL_APIENTRY | alListenerfv (ALenum param, const ALfloat *values)
AL_API ALvoid AL_APIENTRY | alListeneri (ALenum param, ALint value)
AL_API void AL_APIENTRY | alListeneriv (ALenum param, const ALint *values)

## Function Documentation

AL_API ALvoid AL_APIENTRY alGetListener3f | ( | ALenum | param,
|  | ALfloat * | value1,
|  | ALfloat * | value2,
|  | ALfloat * | value3
| ) |  |

Definition at line 288 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), ALCcontext_struct::Listener, LockContext(), ALlistener::Position, UnlockContext(), and ALlistener::Velocity.

Referenced by alGetListenerfv().

AL_API void AL_APIENTRY alGetListener3i | ( | ALenum | param,
|  | ALint * | value1,
|  | ALint * | value2,
|  | ALint * | value3
| ) |  |

Definition at line 395 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), ALCcontext_struct::Listener, LockContext(), ALlistener::Position, UnlockContext(), and ALlistener::Velocity.

Referenced by alGetListeneriv().

AL_API ALvoid AL_APIENTRY alGetListenerf | ( | ALenum | param,
|  | ALfloat * | value
| ) |  |

Get Listener parameters

Definition at line 258 of file alListener.c.

References al_endtry, AL_GAIN, AL_INVALID_ENUM, AL_METERS_PER_UNIT, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALlistener::Gain, GetContextRef(), ALCcontext_struct::Listener, and ALlistener::MetersPerUnit.

Referenced by alGetListenerfv().

AL_API ALvoid AL_APIENTRY alGetListenerfv | ( | ALenum | param,
|  | ALfloat * | values
| ) |  |

Definition at line 326 of file alListener.c.

References al_endtry, AL_GAIN, AL_INVALID_ENUM, AL_METERS_PER_UNIT, AL_ORIENTATION, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), alGetListener3f(), alGetListenerf(), CHECK_VALUE, ALlistener::Forward, GetContextRef(), ALCcontext_struct::Listener, LockContext(), UnlockContext(), and ALlistener::Up.

AL_API ALvoid AL_APIENTRY alGetListeneri | ( | ALenum | param,
|  | ALint * | value
| ) |  |

Definition at line 373 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, and GetContextRef().

AL_API void AL_APIENTRY alGetListeneriv | ( | ALenum | param,
|  | ALint * | values
| ) |  |

Definition at line 433 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_ORIENTATION, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), alGetListener3i(), CHECK_VALUE, ALlistener::Forward, GetContextRef(), ALCcontext_struct::Listener, LockContext(), UnlockContext(), and ALlistener::Up.

AL_API ALvoid AL_APIENTRY alListener3f | ( | ALenum | param,
|  | ALfloat | value1,
|  | ALfloat | value2,
|  | ALfloat | value3
| ) |  |

Definition at line 64 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_POSITION, al_throwerr, AL_TRUE, al_try, AL_VELOCITY, ALCcontext_DecRef(), CHECK_VALUE, GetContextRef(), ALCcontext_struct::Listener, LockContext(), ALlistener::Position, UnlockContext(), ALCcontext_struct::UpdateSources, and ALlistener::Velocity.

Referenced by alListener3i(), alListenerfv(), and alListeneriv().

AL_API void AL_APIENTRY alListener3i | ( | ALenum | param,
|  | ALint | value1,
|  | ALint | value2,
|  | ALint | value3
| ) |  |

Definition at line 185 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), alListener3f(), and GetContextRef().

AL_API ALvoid AL_APIENTRY alListenerf | ( | ALenum | param,
|  | ALfloat | value
| ) |  |

OpenAL cross platform audio library Copyright (C) 1999-2000 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 29 of file alListener.c.

References al_endtry, AL_GAIN, AL_INVALID_ENUM, AL_METERS_PER_UNIT, al_throwerr, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALlistener::Gain, GetContextRef(), ALCcontext_struct::Listener, ALlistener::MetersPerUnit, and ALCcontext_struct::UpdateSources.

Referenced by alListenerfv().

AL_API ALvoid AL_APIENTRY alListenerfv | ( | ALenum | param,
|  | const ALfloat * | values
| ) |  |

Definition at line 107 of file alListener.c.

References al_endtry, AL_GAIN, AL_INVALID_ENUM, AL_METERS_PER_UNIT, AL_ORIENTATION, AL_POSITION, al_throwerr, AL_TRUE, al_try, AL_VELOCITY, ALCcontext_DecRef(), alListener3f(), alListenerf(), CHECK_VALUE, ALlistener::Forward, GetContextRef(), ALCcontext_struct::Listener, LockContext(), UnlockContext(), ALlistener::Up, and ALCcontext_struct::UpdateSources.

Referenced by alListeneriv().

AL_API ALvoid AL_APIENTRY alListeneri | ( | ALenum | param,
|  | ALint | value
| ) |  |

Definition at line 162 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, al_throwerr, al_try, ALCcontext_DecRef(), and GetContextRef().

AL_API void AL_APIENTRY alListeneriv | ( | ALenum | param,
|  | const ALint * | values
| ) |  |

Definition at line 214 of file alListener.c.

References al_endtry, AL_INVALID_ENUM, AL_ORIENTATION, AL_POSITION, al_throwerr, al_try, AL_VELOCITY, ALCcontext_DecRef(), alListener3f(), alListenerfv(), CHECK_VALUE, and GetContextRef().